<copyright> TOM parser generator grammar classes.
    Written by <a href="mailto:tiggr@ics.ele.tue.nl">Pieter J. Schoenmakers</a>

    Copyright (C) 1996 Pieter J. Schoenmakers.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA

    <id>$Id: Token.t,v 1.2 1998/11/10 17:28:49 tiggr Exp $</id>
    </copyright>

// Inherit from Terminal because a Token is a Terminal.  In addition,
// inherit from Element, since we must get at Element directly, since a
// Terminal also is an IntNumber (which it should NOT be).
// Tue Nov 10 14:51:22 1998, tiggr@gerbil.org
implementation class
Token: Element, Terminal

end;

implementation instance
Token
{
  <doc> Our name.  </doc>
  public String name;

  <doc> Iff {TRUE}, this token was introduced by a {%predef} instead of a
      {%token}: its value does not need to be defined by the emitted
      {xDefines} class.  </doc>
  public mutable boolean predef;
}

<doc> Designated initializer.  </doc>
id
   init String n
  value int v
{
  name = n;
  = [super init v];
}

end;
